Bug 27109 - Better labels for background job details
Summary: Better labels for background job details
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Task Scheduler (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords: rel_20_11_candidate
Depends on: 22417
Blocks: 27277
  Show dependency treegraph
 
Reported: 2020-11-27 15:28 UTC by Tomás Cohen Arazi
Modified: 2021-02-11 22:32 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02


Attachments
Bug 27109: Remove Replay action - not implemented (1.54 KB, patch)
2020-12-01 14:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27109: Improve labels on the background job views (1.78 KB, patch)
2020-12-01 14:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27109: Remove Replay action - not implemented (1.59 KB, patch)
2020-12-16 19:32 UTC, David Nind
Details | Diff | Splinter Review
Bug 27109: Improve labels on the background job views (1.83 KB, patch)
2020-12-16 19:32 UTC, David Nind
Details | Diff | Splinter Review
Bug 27109: Replace 'Enqueued' with 'Queuee' (1.73 KB, patch)
2020-12-17 14:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27109: Remove Replay action - not implemented (1.65 KB, patch)
2021-01-08 15:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27109: Improve labels on the background job views (1.89 KB, patch)
2021-01-08 15:27 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-11-27 15:28:40 UTC
On the job detail page, better descriptions are required for the following labels:

- enqueued_on
- started_on
- ended_on
Comment 1 Jonathan Druart 2020-12-01 14:43:56 UTC
Created attachment 114074 [details] [review]
Bug 27109: Remove Replay action - not implemented
Comment 2 Jonathan Druart 2020-12-01 14:44:08 UTC
Created attachment 114075 [details] [review]
Bug 27109: Improve labels on the background job views

Replace "enqueued_on" with "Enqueued on", same for started_on and
ended_on
Comment 3 David Nind 2020-12-16 19:32:10 UTC
Created attachment 114464 [details] [review]
Bug 27109: Remove Replay action - not implemented

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2020-12-16 19:32:13 UTC
Created attachment 114465 [details] [review]
Bug 27109: Improve labels on the background job views

Replace "enqueued_on" with "Enqueued on", same for started_on and
ended_on

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2020-12-16 19:39:36 UTC
Rather than "Enqueued" I think I would prefer "Queued". Enqueued is a valid English word, according to Oxford English Dictionary (https://www.lexico.com/definition/enqueue). However, it is not something in common usage or that I have come across before except in Koha. As this one improves the display, I've signed it off. I will add a new bug for changing the term and see what others think. 

Testing notes:
- Applied patch: applied successfully
- Reviewed diff, makes sense to me
Comment 6 Tomás Cohen Arazi 2020-12-16 19:49:42 UTC
(In reply to David Nind from comment #5)
> Rather than "Enqueued" I think I would prefer "Queued". Enqueued is a valid
> English word, according to Oxford English Dictionary
> (https://www.lexico.com/definition/enqueue). However, it is not something in
> common usage or that I have come across before except in Koha. As this one
> improves the display, I've signed it off. I will add a new bug for changing
> the term and see what others think. 
> 
> Testing notes:
> - Applied patch: applied successfully
> - Reviewed diff, makes sense to me

I agree. Can you submit a follow-up on this bug for 'Queued'?
Comment 7 Jonathan Druart 2020-12-17 14:04:57 UTC
Created attachment 114479 [details] [review]
Bug 27109: Replace 'Enqueued' with 'Queuee'
Comment 8 David Nind 2020-12-17 18:32:51 UTC
Thanks Tomás and Jonathan!
Comment 9 David Cook 2020-12-18 01:34:52 UTC
(In reply to David Nind from comment #5)
> Rather than "Enqueued" I think I would prefer "Queued". Enqueued is a valid
> English word, according to Oxford English Dictionary
> (https://www.lexico.com/definition/enqueue). However, it is not something in
> common usage or that I have come across before except in Koha.

I love enqueue/dequeue and they come up a lot for me, but they do seem to be computing terms, so I am willing to admit that they probably should be reserved for backend systems and not displayed to users.

I also love splitting hairs so...

Should it be "Queued on" or "Queued at"?
Comment 10 Jonathan Druart 2020-12-18 09:21:59 UTC
Last patch and discussion moved to bug 27277.

This bug report is about making labels consistent, and they are with "Enqueued on" (it already exists and no additional work will be needed from translators).
Comment 11 Nick Clemens 2021-01-08 15:27:16 UTC
Created attachment 114969 [details] [review]
Bug 27109: Remove Replay action - not implemented

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Nick Clemens 2021-01-08 15:27:19 UTC
Created attachment 114970 [details] [review]
Bug 27109: Improve labels on the background job views

Replace "enqueued_on" with "Enqueued on", same for started_on and
ended_on

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 13 Jonathan Druart 2021-01-11 09:30:13 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 14 Fridolin Somers 2021-01-11 13:03:40 UTC
Pushed to 20.11.x for 20.11.02
Comment 15 Andrew Fuerste-Henry 2021-01-20 01:12:48 UTC
Missing dependency, not backported to 20.05.